# js-partial-default-of

[![Recent Version][npm-badge]][npm-url]
[![Travis CI - Build Status][travis-badge]][travis-url]
[![Coveralls - Code Coverage Status][cov-badge]][cov-url]
[![David - Dependencies][dep-badge]][dep-url]
[![David - DevDependencies][dev-dep-badge]][dev-dep-url]
[![Doclets][doclets-badge]][doclets-url]
[![Gitter - Repository Chat][chat-badge]][chat-url]

## Synopsis

A partial to handle default values.

- Written in **UMD**

## Install

```
npm install js-partial-default-of
```

## Usage

For additional examples,
check the **[test folder](https://github.com/jsopenstd/js-partial-default-of/tree/master/tests)**

```javascript
// TODO
```

## Documentation

Check the source 
[here](https://github.com/jsopenstd/js-partial-default-of/blob/master/src/js-partial-default-of.js)
since it's well structured and documented. Also you can find the rendered jsDoc documentation on 
[Doclets.io](https://doclets.io/jsopenstd/js-partial-default-of/master). 

Also, check the [unit tests](https://github.com/jsopenstd/js-partial-default-of/blob/master/tests/tests.js) 
in order to grasp the full-fledged capabilities.

Have fun! ;)

## Issues

If you find any bugs and other issues, check the
[GSDC Guide - Issues](https://github.com/openstd/general-software-development-contribution-guide#issues)
section on how to submit issues in a standardized way on
[the project's issues page](https://github.com/jsopenstd/js-partial-default-of/issues).

In case you have any suggestions regarding the project (features, additional capabilities, etc.), check the
[GSDC Guide - Suggestions](https://github.com/openstd/general-software-development-contribution-guide#suggestions)
section on how to submit suggestions in an easy, standardized way on
[the project's issues page](https://github.com/jsopenstd/js-partial-default-of/issues).

## Contribution

In order to contribute to this project, check the
[GSDC Guide](https://github.com/openstd/general-software-development-contribution-guide)
for an easy, standardized way on how to contribute to projects.

## Support

If you **by any means** find this project useful,
[consider supporting the organization](https://github.com/jsopenstd/jsopenstd/blob/master/support.md).

There are multiple options to support the project and the developers.
Any means of support is beneficial and helpful.

## License

[MIT](license.md) @ Richard King

[npm-badge]:     https://img.shields.io/npm/v/js-partial-default-of.svg
[npm-url]:       https://www.npmjs.com/package/js-partial-default-of

[travis-badge]:  https://travis-ci.org/jsopenstd/js-partial-default-of.svg?branch=master
[travis-url]:    https://travis-ci.org/jsopenstd/js-partial-default-of

[cov-badge]:     https://coveralls.io/repos/github/jsopenstd/js-partial-default-of/badge.svg?branch=master
[cov-url]:       https://coveralls.io/github/jsopenstd/js-partial-default-of

[dep-badge]:     https://david-dm.org/jsopenstd/js-partial-default-of.svg
[dep-url]:       https://david-dm.org/jsopenstd/js-partial-default-of

[dev-dep-badge]: https://david-dm.org/jsopenstd/js-partial-default-of/dev-status.svg
[dev-dep-url]:   https://david-dm.org/jsopenstd/js-partial-default-of#info=devDependencies

[doclets-badge]: https://img.shields.io/badge/style-on_doclets-brightgreen.svg?style=flat-square&label=docs
[doclets-url]:   https://doclets.io/jsopenstd/js-partial-default-of/master   

[chat-badge]:    https://badges.gitter.im/jsopenstd/js-partial-default-of.svg
[chat-url]:      https://gitter.im/jsopenstd/js-partial-default-of?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge

[partial-link]:  https://github.com/jsopenstd/jsopenstd/blob/master/readme.md#partial 
[umd-link]:      https://github.com/jsopenstd/jsopenstd/blob/master/readme.md#umd
